curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
},
json={
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 100,",
" \"currency\": \"AUD\",",
" \"job_id\": \"89073\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 100,
""currency"": ""AUD"",
""job_id"": ""89073"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent created successfully",
"intent_id": "int_hkdmt2bxdh5envvjsa9",
"amount": 100.00,
"currency": "AUD"
}
Payment intents
Create intent
The Create Intent endpoint allows you to create a new payment for a customer.
POST
/
customer
/
create-intent
/
{customer_id}
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
},
json={
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 100,",
" \"currency\": \"AUD\",",
" \"job_id\": \"89073\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 100,
""currency"": ""AUD"",
""job_id"": ""89073"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent created successfully",
"intent_id": "int_hkdmt2bxdh5envvjsa9",
"amount": 100.00,
"currency": "AUD"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Headers
string
required
A unique UUID string used to prevent duplicate operations.
Request Body Parameters
number
required
The amount of the payment. For example, to charge $10.00 AUD, pass 10.
string
required
The currency of the payment.
string
The ID of the job for which the payout is being initiated. Either job ID or reference is required.
string
The reference for the payout request. Either job ID or reference is required.
boolean
Indicates whether the payment should be automatically captured. If set to true, the payment will be captured immediately; if false, it may require manual capture later. Note: Card statement descriptor is configured at the merchant account level and cannot be passed dynamically.
Response Body
The response for the Create Intent request is a JSON object with the following schema:number
The HTTP status code of the response envelope (e.g.
200).string
Informational message (e.g.
"Payment intent created successfully").string
The unique identifier for the payment intent (prefixed with
int_).number
The amount in decimal dollars.
string
The currency of the intent (e.g.
AUD).REQUIRES_CAPTURE, SUCCEEDED), use the Retrieve Intent endpoint.
Response Codes
| Code | Description |
|---|---|
| 200 | If the request is successful, the payment intent is created and the response includes the intent details and ID. |
| 400 | Bad Request. Missing required parameters (‘amount is required, job_id is required’), duplicate job ID (‘Job Id is already exists’), or invalid customer. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 409 | Conflict. Duplicate idempotency key with mismatching parameters. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version": "1.2",
},
json={
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"amount\": 100,",
" \"currency\": \"AUD\",",
" \"job_id\": \"89073\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"amount": 100,
"currency": "AUD",
"job_id": "89073",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/create-intent/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""amount"": 100,
""currency"": ""AUD"",
""job_id"": ""89073"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment intent created successfully",
"intent_id": "int_hkdmt2bxdh5envvjsa9",
"amount": 100.00,
"currency": "AUD"
}
Last modified on November 10, 2026
Was this page helpful?
